package ru.dbotthepony.mc.otm.container.slotted

import net.minecraft.world.item.ItemStack

fun interface AutomationPlaceItem<S : ContainerSlot> {
	fun canAutomationPlaceItem(self: S, itemStack: ItemStack): Boolean
}

fun interface AutomationTakeItem<S : ContainerSlot> {
	fun canAutomationTakeItem(self: S, desired: Int): Boolean
}

fun interface AutomationModifyPlaceCount<S : ContainerSlot> {
	fun modifyAutomationPlaceCount(self: S, itemStack: ItemStack): Int
}

fun interface AutomationModifyExtractionCount<S : ContainerSlot> {
	fun modifyAutomationExtractionCount(self: S, desired: Int): Int
}
